using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Timer
{
    private float m_duration = 0;
    private float m_startTime = 0;
    
    public Timer(float _timerDuration, float _currentTime)
    {
        m_startTime = _currentTime;
        m_duration = _timerDuration;
    }

    public bool IsFinished()
    {
        return Time.time - m_startTime >= m_duration;
    }
}
